Configuration data for the current app.

On browser platforms, creating an instance of this class without any arguments will use `window.location.origin` as the app domain. On non-browser platforms, you need to specify an app domain as the second argument.

### Hierarchy

- AppConfig

## Index

### Constructors

- constructor

### Properties

- appDomain
- authenticatorURL
- coreNode
- manifestPath
- redirectPath
- scopes

### Methods

- manifestURI
- redirectURI

## Constructors

### constructor

- new AppConfig(scopes?: Array<string>, appDomain?: string, redirectPath?: string, manifestPath?: string, coreNode?: string | null, authenticatorURL?: string): AppConfig

- - Defined in auth/appConfig.ts:59

  #### Parameters

  - ##### Default value scopes: Array<string> = DEFAULT_SCOPE.slice()

    permissions this app is requesting

  - ##### Default value appDomain: string = getGlobalObject('location', { returnEmptyObject: true }).origin

    the app domain

  - ##### Default value redirectPath: string = ""

    path on app domain to redirect users to after authentication

  - ##### Default value manifestPath: string = "/manifest.json"

    path relative to app domain of app's manifest file

  - ##### Default value coreNode: string | null = null

    override the default or user selected core node

  - ##### Default value authenticatorURL: string = DEFAULT_BLOCKSTACK_HOST

    the web-based fall back authenticator (DEFAULT_BLOCKSTACK_HOST)

  #### Returns AppConfig

## Properties

### appDomain

appDomain: string

- Defined in auth/appConfig.ts:20

Blockstack apps are uniquely identified by their app domain.

### Optional authenticatorURL

authenticatorURL: string

- Defined in auth/appConfig.ts:59

The URL of a web-based Blockstack Authenticator to use in the event the user doesn't have Blockstack installed on their machine. If this is not specified, the current default in this library will be used.

### coreNode

coreNode: string

- Defined in auth/appConfig.ts:51

The URL of Blockstack core node to use for this app. If this is `null`, the core node specified by the user or default core node will be used.

### manifestPath

manifestPath: string

- Defined in auth/appConfig.ts:43

Path relative to app domain of app's manifest file.

This file needs to have CORS headers set so that it can be fetched from any origin. Typically this means return the header `Access-Control-Allow-Origin: *`.

### redirectPath

redirectPath: string

- Defined in auth/appConfig.ts:34

Path on app domain to redirect users to after authentication. The authentication response token will be postpended in a query.

### scopes

scopes: Array<AuthScope | string>

- Defined in auth/appConfig.ts:26

An array of string representing permissions requested by the app.

## Methods

### manifestURI

- manifestURI(): string

- - Defined in auth/appConfig.ts:97

  The location of the app's manifest file.

  #### Returns string

  - URI

### redirectURI

- redirectURI(): string

- - Defined in auth/appConfig.ts:89

  The location to which the authenticator should redirect the user.

  #### Returns string

  - URI

Generated using TypeDoc